Loading...
Searching...
No Matches
BALL::Visitor< Host > Class Template Referenceabstract
Foundation Classes » Concepts » Miscellaneous

`#include <BALL/CONCEPT/visitor.h>`

## Public Member Functions

Constructors and destructors
| Visitor ()
| Visitor (const Visitor &visitor)
virtual | ~Visitor ()
virtual void | visit (Host &)=0
virtual void | dummy ()

## Detailed Description

template<typename Host>
class BALL::Visitor< Host >

Generic Visitor Class. This class implements the visitor design pattern.

Definition at line 22 of file visitor.h.

## Constructor & Destructor Documentation

## Visitor() [1/2]

template<typename T>

BALL_INLINE BALL::Visitor< T >::Visitor | ( |  | ) |

Default constructor

Definition at line 61 of file visitor.h.

## Visitor() [2/2]

template<typename Host>

BALL_INLINE BALL::Visitor< Host >::Visitor | ( | const Visitor< Host > & | visitor | ) |

Copy constructor

Definition at line 68 of file visitor.h.

## ~Visitor()

template<typename T>

BALL::Visitor< T >::~Visitor | ( |  | ) |

virtual

Destructor

Definition at line 74 of file visitor.h.

## Member Function Documentation

## dummy()

template<typename T>

void BALL::Visitor< T >::dummy | ( |  | ) |

virtual

Definition at line 57 of file visitor.h.

## visit()

template<typename Host>

virtual void BALL::Visitor< Host >::visit | ( | Host & |  | ) |

pure virtual

Visit method.
The visit method is an abstract method defining an interface between the visitor object and its host.

Implemented in BALL::MolecularInformation.